Subject: Moving and DMHA (was: Re: [seamoby] DMHA and IPsec)

From: James Kempf <[email-masked]>
Date: Wed, 19 Sep 2001 10:09:39 -0700 (PDT)

Bechet,

>  A problem we  faced is this:
>How can we talk about moving in the paging areas and at the same time not
>supporting a mobility protocol (as stated in the requirements doc). If it is a
>fixed node like an Internet Appliance which is moved to another place, isn't it
>best to reconfigure it?

A mobility protocol such as MIP is designed
to track movement across subnets of an active mobile host. As such,
it is primarily concerned with maintaining routing reachability.
For a dormant mode mobile host, the primary requirement is not
maintaining routing reachability (because, by definition, there
is nothing to route) but rather maintaining locatability so
that routing reachability can be reestablished when there is
something to route. By moving towards locatability and away from
routing reachability, the mobile host gains power savings (it
must not update its routing reachability every time it moves
to a different subnet but just every time it moves to a new
paging area, which may be more infrequent) and the network gains
not having to maintain and update routing information about a
host that is not getting any traffic anyway. Of course, the mobility
protocol and the paging host movement tracking do interact,
primarily when the mobile host goes into or comes out of dormant
mode and wants to reestablish routing reachability. They may
also interact if the Tracking Agent updates mobility protocol agents (like the 
HA in MIP) during tracking of a mobile host in dormant mode.

>  The requirements document at one point talks about Target Agent on page 7.
>What is target agent?
>

It's a typo. It should be "Tracking Agent". Sorry.

		jak

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 19 Sep 2001 13:58:49 -0400

Hi Jim,

James Kempf wrote:

> host that is not getting any traffic anyway.

This we have in mipv6hp.

> Of course, the mobility

This we do not have in lahap because of the conflict I mentioned in my previous
mail.

>                 jak

Regards,

--
Behcet